Devuan bug report logs - #823
sed is mostly hardcoded in /bin/sed but moved to /usr/bin

Package: devuan-project; Maintainer for devuan-project is Devuan Developers <devuan-dev@lists.dyne.org>;

Affects: sed, kmod, linux-headers-6.6.8-amd64, netcat-traditional, initramfs-tools-core, firmware-realtek

Reported by: Klaus Ethgen <Klaus@ethgen.de>

Date: Tue, 2 Jan 2024 19:42:01 UTC

Severity: grave

Merged with 812, 813, 821, 826, 827, 828

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#823; Package sed. (Tue, 02 Jan 2024 19:42:01 GMT) (full text, mbox, link).


Acknowledgement sent to Klaus Ethgen <Klaus@ethgen.de>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Tue, 02 Jan 2024 19:42:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Klaus Ethgen <Klaus@ethgen.de>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: sed is mostly hardcoded in /bin/sed but moved to /usr/bin
Date: Tue, 2 Jan 2024 20:39:11 +0100
[Message part 1 (text/plain, inline)]
Package: sed
Version: 4.9-2
Severity: critical

The current version of sed move /bin/sed to /usr/bin/sed and is breaking
nearly the full system as /bin/sed is hardcoded in many startup files.

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 6 (excalibur/ceres)
Release:	6
Codename:	excalibur ceres
Architecture: x86_64

Kernel: Linux 6.1.38 (SMP w/8 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_CPU_OUT_OF_SPEC, TAINT_FIRMWARE_WORKAROUND, TAINT_OOT_MODULE
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages sed depends on:
ii  libacl1      2.3.1-4
ii  libc6        2.37-13
ii  libselinux1  3.5-1+b1

sed recommends no packages.

sed suggests no packages.

-- no debconf information
Gru?
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <Klaus@Ethgen.ch>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C
[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#823; Package sed. (Thu, 04 Jan 2024 09:14:01 GMT) (full text, mbox, link).


Acknowledgement sent to "G. L. Gragnani" <g.l.gragnani@gmx.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Thu, 04 Jan 2024 09:14:02 GMT) (full text, mbox, link).


Message #10 received at 823@bugs.devuan.org (full text, mbox, reply):

From: "G. L. Gragnani" <g.l.gragnani@gmx.com>
To: 823@bugs.devuan.org
Subject: Confirmed
Date: Thu, 4 Jan 2024 10:20:48 +0100
Hi,
I suffered from the same problem.

I have been able to fix the most of my problems by adding /usr/bin to
the PATH variable
in init files mountall.sh and eudev
This seems to have no collateral effects.

However there are probably many other places where sed is used with the
wrong path.

Hope this can be fixed soon.

Ciao.

Gigi

bug reassigned from package 'sed' to 'devuan-project'. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:52:02 GMT) (full text, mbox, link).


No longer marked as found in versions 4.9-2. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:52:02 GMT) (full text, mbox, link).


Severity set to 'grave' from 'critical' Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:52:02 GMT) (full text, mbox, link).


Added indication that 823 affects linux-headers-6.6.8-amd64,netcat-traditional,firmware-realtek Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:52:02 GMT) (full text, mbox, link).


Merged 812 813 821 823 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:52:02 GMT) (full text, mbox, link).


Added indication that 823 affects sed Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:52:02 GMT) (full text, mbox, link).


Removed indication that 823 affects firmware-realtek, linux-headers-6.6.8-amd64, netcat-traditional, and sed Added indication that 823 affects netcat-traditional,linux-headers-6.6.8-amd64,firmware-realtek,sed Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:01 GMT) (full text, mbox, link).


Merged 812 813 821 823 827 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:02 GMT) (full text, mbox, link).


Added indication that 823 affects initramfs-tools-core Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:02 GMT) (full text, mbox, link).


Removed indication that 823 affects firmware-realtek, sed, netcat-traditional, initramfs-tools-core, and linux-headers-6.6.8-amd64 Added indication that 823 affects firmware-realtek,initramfs-tools-core,netcat-traditional,linux-headers-6.6.8-amd64,sed Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:02 GMT) (full text, mbox, link).


Merged 812 813 821 823 826 827 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:03 GMT) (full text, mbox, link).


Added indication that 823 affects kmod Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:03 GMT) (full text, mbox, link).


Removed indication that 823 affects linux-headers-6.6.8-amd64, firmware-realtek, kmod, initramfs-tools-core, sed, and netcat-traditional Added indication that 823 affects firmware-realtek,linux-headers-6.6.8-amd64,kmod,sed,initramfs-tools-core,netcat-traditional Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:56:02 GMT) (full text, mbox, link).


Merged 812 813 821 823 826 827 828 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:56:02 GMT) (full text, mbox, link).


Message #39 received at 812-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 812-done@bugs.devuan.org
Subject: Re: bug#812: Devuan project: merged-usr
Date: Wed, 20 Mar 2024 12:06:27 +0000
Merged /usr is now enforced by base-files 13devuan4 and handled by debootstrap
1.0.134devuan2. Both of these versions are present in ceres and excalibur:

 base-files  | 13devuan4      | excalibur  | source, all
 base-files  | 13devuan4      | unstable   | source, all
 debootstrap | 1.0.134devuan2 | excalibur  | source, all
 debootstrap | 1.0.134devuan2 | unstable   | source, all

Golinux also posted an announcement[1] on the forum.

Therefore I am closing these reports as fixed.

Mark

[1]  https://dev1galaxy.org/viewtopic.php?id=6435      



Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri May 24 06:20:50 2024;